#pragma once

#include "..\..\DuiLib\UIlib.h"

using namespace DuiLib;

class CCreateNewGroupWnd : public WindowImplBase, IGTWASActorEvent, IGTMessengerActorEvent
{
    DUI_DECLARE_MESSAGE_MAP()
    DUI_DECLARE_CUSTOM_MSG_MAP()
public: 
	CCreateNewGroupWnd(HWND hParentWnd);
	~CCreateNewGroupWnd();

	int GetCreatedGroupID()	{ return m_nNewGroupID; }

	virtual bool	OnGTMessengerActor_ResponseBuddyGroupAction(IGTMessengerActor *pActor, const GT_BUDDY_GROUP_RESULT_DATA& sData, GTBuddyAddGroupType addGroupType);

	LPCTSTR GetWindowClassName() const;
	void InitWindow();
	void OnPrepare(TNotifyUI& msg);
	void OnOkButtonClick(TNotifyUI& msg);
	void OnSettingClose(TNotifyUI& msg);
	
	virtual CDuiString GetSkinFile();
	virtual CDuiString GetSkinFolder();

private:
	int				m_nNewGroupID;
};
